<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Plugins/PluginManager.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d5d/_plugin_manager_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">PluginManager.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d9/d5d/_plugin_manager_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/df1/class_plugin_manager.html">PluginManager</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a1322f1088b91cadee4e6db295eec0492"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d8/df1/class_plugin_manager.html">PluginManager</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d5d/_plugin_manager_8c.html#a1322f1088b91cadee4e6db295eec0492">GetPluginManager</a> ()</td></tr>
<tr class="memdesc:a1322f1088b91cadee4e6db295eec0492"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns registred plugin by class type, better is to use global funtion <a class="el" href="../../d9/d5d/_plugin_manager_8c.html#a35050f82bea320b7a5336fc549630eaf">GetPlugin(typename plugin_type)</a>  <a href="../../d9/d5d/_plugin_manager_8c.html#a1322f1088b91cadee4e6db295eec0492">More...</a><br /></td></tr>
<tr class="separator:a1322f1088b91cadee4e6db295eec0492"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab03dcab68d958e9707d9f00ccdb3b5d3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d5d/_plugin_manager_8c.html#ab03dcab68d958e9707d9f00ccdb3b5d3">PluginManagerInit</a> ()</td></tr>
<tr class="separator:ab03dcab68d958e9707d9f00ccdb3b5d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3241bb6c1c23503ec722a6c408fc365"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d5d/_plugin_manager_8c.html#af3241bb6c1c23503ec722a6c408fc365">PluginManagerDelete</a> ()</td></tr>
<tr class="separator:af3241bb6c1c23503ec722a6c408fc365"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3524404d2438f6b3f1fa1ee7205992e1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d5d/_plugin_manager_8c.html#a3524404d2438f6b3f1fa1ee7205992e1">IsPluginManagerExists</a> ()</td></tr>
<tr class="separator:a3524404d2438f6b3f1fa1ee7205992e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35050f82bea320b7a5336fc549630eaf"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dd/da1/class_plugin_base.html">PluginBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d5d/_plugin_manager_8c.html#a35050f82bea320b7a5336fc549630eaf">GetPlugin</a> (<a class="el" href="../../d2/db4/classtypename.html">typename</a> plugin_type)</td></tr>
<tr class="separator:a35050f82bea320b7a5336fc549630eaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5075711d980a326a7767cb4499c13180"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d5d/_plugin_manager_8c.html#a5075711d980a326a7767cb4499c13180">IsModuleExist</a> (<a class="el" href="../../d2/db4/classtypename.html">typename</a> plugin_type)</td></tr>
<tr class="separator:a5075711d980a326a7767cb4499c13180"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a8db00e6e2739b0114f0093e5916519c6"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../d8/df1/class_plugin_manager.html">PluginManager</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d5d/_plugin_manager_8c.html#a8db00e6e2739b0114f0093e5916519c6">g_Plugins</a></td></tr>
<tr class="separator:a8db00e6e2739b0114f0093e5916519c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a35050f82bea320b7a5336fc549630eaf" name="a35050f82bea320b7a5336fc549630eaf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35050f82bea320b7a5336fc549630eaf">&#9670;&#160;</a></span>GetPlugin()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dd/da1/class_plugin_base.html">PluginBase</a> GetPlugin </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/db4/classtypename.html">typename</a> plugin_type&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d5d/_plugin_manager_8c_source.html#l00300">300</a> of file <a class="el" href="../../d9/d5d/_plugin_manager_8c_source.html">PluginManager.c</a>.</p>

</div>
</div>
<a id="a1322f1088b91cadee4e6db295eec0492" name="a1322f1088b91cadee4e6db295eec0492"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1322f1088b91cadee4e6db295eec0492">&#9670;&#160;</a></span>GetPluginManager()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d8/df1/class_plugin_manager.html">PluginManager</a> GetPluginManager </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns registred plugin by class type, better is to use global funtion <a class="el" href="../../d9/d5d/_plugin_manager_8c.html#a35050f82bea320b7a5336fc549630eaf">GetPlugin(typename plugin_type)</a> </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">module_tpye</td><td><code>typename</code> class type of plugin </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code><a class="el" href="../../dd/da1/class_plugin_base.html">PluginBase</a></code> <div class="fragment"><div class="line">PluginRepairing plugin = <a class="code hl_function" href="../../d9/d5d/_plugin_manager_8c.html#a1322f1088b91cadee4e6db295eec0492">GetPluginManager</a>().<a class="code hl_function" href="../../d8/df1/class_plugin_manager.html#a062c82d1db6bfbb8e4746ab20ac2b5db">GetPluginByType</a>(PluginRepairing);</div>
<div class="ttc" id="a_plugin_manager_8c_html_a1322f1088b91cadee4e6db295eec0492"><div class="ttname"><a href="../../d9/d5d/_plugin_manager_8c.html#a1322f1088b91cadee4e6db295eec0492">GetPluginManager</a></div><div class="ttdeci">PluginManager GetPluginManager()</div><div class="ttdoc">Returns registred plugin by class type, better is to use global funtion GetPlugin(typename plugin_typ...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d5d/_plugin_manager_8c_source.html#l00258">PluginManager.c:258</a></div></div>
<div class="ttc" id="aclass_plugin_manager_html_a062c82d1db6bfbb8e4746ab20ac2b5db"><div class="ttname"><a href="../../d8/df1/class_plugin_manager.html#a062c82d1db6bfbb8e4746ab20ac2b5db">PluginManager::GetPluginByType</a></div><div class="ttdeci">PluginBase GetPluginByType(typename plugin_type)</div><div class="ttdoc">Returns registred plugin by class type, better is to use global funtion GetPlugin(typename plugin_typ...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d5d/_plugin_manager_8c_source.html#l00152">PluginManager.c:152</a></div></div>
</div><!-- fragment --> </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/d5d/_plugin_manager_8c_source.html#l00258">258</a> of file <a class="el" href="../../d9/d5d/_plugin_manager_8c_source.html">PluginManager.c</a>.</p>

</div>
</div>
<a id="a5075711d980a326a7767cb4499c13180" name="a5075711d980a326a7767cb4499c13180"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5075711d980a326a7767cb4499c13180">&#9670;&#160;</a></span>IsModuleExist()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> IsModuleExist </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/db4/classtypename.html">typename</a> plugin_type&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d5d/_plugin_manager_8c_source.html#l00322">322</a> of file <a class="el" href="../../d9/d5d/_plugin_manager_8c_source.html">PluginManager.c</a>.</p>

</div>
</div>
<a id="a3524404d2438f6b3f1fa1ee7205992e1" name="a3524404d2438f6b3f1fa1ee7205992e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3524404d2438f6b3f1fa1ee7205992e1">&#9670;&#160;</a></span>IsPluginManagerExists()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> IsPluginManagerExists </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d5d/_plugin_manager_8c_source.html#l00290">290</a> of file <a class="el" href="../../d9/d5d/_plugin_manager_8c_source.html">PluginManager.c</a>.</p>

</div>
</div>
<a id="af3241bb6c1c23503ec722a6c408fc365" name="af3241bb6c1c23503ec722a6c408fc365"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3241bb6c1c23503ec722a6c408fc365">&#9670;&#160;</a></span>PluginManagerDelete()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PluginManagerDelete </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d5d/_plugin_manager_8c_source.html#l00281">281</a> of file <a class="el" href="../../d9/d5d/_plugin_manager_8c_source.html">PluginManager.c</a>.</p>

</div>
</div>
<a id="ab03dcab68d958e9707d9f00ccdb3b5d3" name="ab03dcab68d958e9707d9f00ccdb3b5d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab03dcab68d958e9707d9f00ccdb3b5d3">&#9670;&#160;</a></span>PluginManagerInit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PluginManagerInit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d5d/_plugin_manager_8c_source.html#l00271">271</a> of file <a class="el" href="../../d9/d5d/_plugin_manager_8c_source.html">PluginManager.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a8db00e6e2739b0114f0093e5916519c6" name="a8db00e6e2739b0114f0093e5916519c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8db00e6e2739b0114f0093e5916519c6">&#9670;&#160;</a></span>g_Plugins</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../d8/df1/class_plugin_manager.html">PluginManager</a> g_Plugins</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_2b66b8ed1afe82646c8af9c779a96cad.html">Plugins</a></li><li class="navelem"><a class="el" href="../../d9/d5d/_plugin_manager_8c.html">PluginManager.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
